summaryrefslogtreecommitdiffstats
path: root/system/lxsplit
diff options
context:
space:
mode:
author Sebastián Salazar Molina <ssalazar@orangepeople.cl>2010-05-13 01:00:56 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:56 +0200
commite0c993091d52e1e371adafe720f881a90b0b34b3 (patch)
tree9ec25d2d7ac8c4ca9d4a58cb0e1a2709922a0576 /system/lxsplit
parent895f907c488217a0a047e5f41599d6fded5ad4a6 (diff)
downloadslackbuilds-e0c993091d52e1e371adafe720f881a90b0b34b3.tar.gz
slackbuilds-e0c993091d52e1e371adafe720f881a90b0b34b3.tar.xz
system/lxsplit: Added to 13.0 repository
Diffstat (limited to 'system/lxsplit')
-rw-r--r--system/lxsplit/README4
-rw-r--r--system/lxsplit/lxsplit.SlackBuild74
-rw-r--r--system/lxsplit/lxsplit.info10
-rw-r--r--system/lxsplit/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/system/lxsplit/README b/system/lxsplit/README
new file mode 100644
index 0000000000..498098968e
--- /dev/null
+++ b/system/lxsplit/README
@@ -0,0 +1,4 @@
+lxSplit is a simple tool for splitting files and joining the splitted files
+on unix-like platforms, such as Linux, FreeBSD, OpenBSD, etc. It is fully
+compatible with the HJSplit utility which is available for other operating
+systems. Splitting is done without compression.
diff --git a/system/lxsplit/lxsplit.SlackBuild b/system/lxsplit/lxsplit.SlackBuild
new file mode 100644
index 0000000000..3166f117d6
--- /dev/null
+++ b/system/lxsplit/lxsplit.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for lxsplit
+# Written by Sebastián Salazar Molina <ssalazar@orangepeople.cl>
+
+PRGNAM=lxsplit
+VERSION=${VERSION:-0.2.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# HACK: WARNING
+#Edit MakeFile
+#Maybe we need a patch :S
+mkdir -p $PKG/usr/bin
+BINDEST=$PKG/usr/bin
+sed -i "s?/usr/local/bin?/$BINDEST?g" Makefile
+
+# Configure flags;
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/lxsplit/lxsplit.info b/system/lxsplit/lxsplit.info
new file mode 100644
index 0000000000..789b3cef0d
--- /dev/null
+++ b/system/lxsplit/lxsplit.info
@@ -0,0 +1,10 @@
+PRGNAM="lxsplit"
+VERSION="0.2.4"
+HOMEPAGE="http://lxsplit.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/lxsplit/lxsplit-0.2.4.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="ed21a08c167c08d4d81c820782947cb1"
+MD5SUM_x86_64=""
+MAINTAINER="Sebastián Salazar Molina"
+EMAIL="ssalazar@orangepeople.cl"
+APPROVED="dsomero"
diff --git a/system/lxsplit/slack-desc b/system/lxsplit/slack-desc
new file mode 100644
index 0000000000..6ddf34d130
--- /dev/null
+++ b/system/lxsplit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxsplit: lxSplit (lxSplit splits and merges files)
+lxsplit:
+lxsplit: lxSplit is a simple tool for splitting files and joining the
+lxsplit: splitted files on unix-like platforms, such as Linux,*BSD, etc.
+lxsplit: It is fully compatible with the HJSplit.
+lxsplit:
+lxsplit: Splitting is done without compression.
+lxsplit:
+lxsplit: lxSplit was originally written by Richard Stellingwerff.
+lxsplit:
+lxsplit: